#define Objects_G
#include "GObjects.h"    /* includes "MyTypes.h" */
#include "GSymbolT.h"

#include <stdlib.h>
#include <string.h>

/****************** SEMANTICS ****************/

void *Apply (Clad *Object,...)
{
  if ( object->Class == MATRIOCHKA )
     return (void*(*)(void*)) object->Data (&Object) ;
  else {
     return Apply (Object->Class,&Object) ;
  }
}

void MetaClassFun ( ) ;

/****************** CONSTANTS ***************/

Clad MATRIOCHKA = { &MATRIOCHKA, &MATRIOCHKA, &MATRIOCHKA } ;


